Package org.eclipse.mat.ui.internal.query.arguments

## Enum TextEditor.DecoratorType

- java.lang.Object
- - java.lang.Enum<TextEditor.DecoratorType>
  - - org.eclipse.mat.ui.internal.query.arguments.TextEditor.DecoratorType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TextEditor.DecoratorType>`

Enclosing class:
  TextEditor

    public static enum TextEditor.DecoratorType
    extends java.lang.Enum<TextEditor.DecoratorType>

### Enum Constant Summary

Enum Constants
`OBJECT_ADDRESS`
`PATTERN`
`QUERY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getHelpLink()`
`java.lang.String` `getHelpText()`
`Image` `getImage()`
`java.lang.String` `getImageType()`
`static TextEditor.DecoratorType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextEditor.DecoratorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PATTERN

    public static final TextEditor.DecoratorType PATTERN

#### OBJECT_ADDRESS

    public static final TextEditor.DecoratorType OBJECT_ADDRESS

#### QUERY

    public static final TextEditor.DecoratorType QUERY

### Method Detail

#### values

    public static TextEditor.DecoratorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TextEditor.DecoratorType c : TextEditor.DecoratorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TextEditor.DecoratorType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getImage

    public Image getImage()

#### getImageType

    public java.lang.String getImageType()

#### getHelpText

    public java.lang.String getHelpText()

#### getHelpLink

    public java.lang.String getHelpLink()